one_ffluency {memnet} | R Documentation

## Fast verbal fluency generator

### Description

Generates verbal fluency data using a switcher-random walk process.

### Usage

    one_ffluency(adj_list, n, pjump = 0, type = 0L)

### Arguments

`adj_list` | a list containing row indices of nodes adjacent node to the ith node as created by get_adjlist.
`n` | integer specifying the maximum number of productions. Function may return fewer than `n`.
`pjump` | numeric specifying the probability of a jump.
`type` | integer controlling network start and jump nodes. For `type = 0` the process selects the start node and any jump nodes proportional to their degree. For `type = 1` the process selects a random node to serve both as the start node and the jump node. For `type = 2` the process selects the start and any jump nodes uniformly at random.

### Details

Function produces verbal fluency data via a switcher random walk process that traverses the network by selecting a neighbor with probability `1-pjump` or jumps to a random place in the network with probability `pjump`. Where the random walk process enters the network and where it jumps to is further controlled by `type`. Neighbors are always selected uniformly.

In contrast to fluency, this function does not check at every step whether the sampled neighbor is already in the list of productions. Instead, `ffluency` simply returns the list of unique productions. This means that if repetitions occur `ffluency` will produce sequences of length `min(n * 3 - k, n)` where k is the number of repeptitions.

### Value

Integer vector containing the indices of the fluency productions. Indices refer to the row of the item in the original adjacency matrix. See get_adjlist.

### References

Wulff, D. U., Hills, T., & Mata, R. (2018, October 29). Structural differences in the semantic networks of younger and older adults. https://doi.org/10.31234/osf.io/s73dp

Goni, J., Martincorena, I., Corominas-Murtra, B., Arrondo, G., Ardanza- Trevijano, S., & Villoslada, P. (2010). Switcher-random-walks: A cognitive- inspired mechanism for network exploration. International Journal of Bifurcation and Chaos, 20(03), 913-922.

### Examples

    # generate watts strogatz graph
    network = grow_ws(n = 100, k = 10)

    # create verbal fluency sequences
    one_ffluency(get_adjlist(network),  10)

    # create verbal fluency sequence
    # with high jump probability
    one_ffluency(get_adjlist(network), 10, pjump = .5)

[Package memnet version 0.1.0 Index]